#!/bin/bash


NAME="K2"
V_H="2"
H="2 0 2"
H_A="3 0  2 2  2"




OBJECTIVE="F_edges2blind__objective_${NAME}.txt"
FILE_APEX="${NAME}a.txt"
FILE_NAME="${NAME}.txt"
FLAG_N=`echo "${V_H}+1" | bc`

# The below automatically multuplies by |V(H+)|!
SCALE_A=`echo "scale=10; 2^(${V_H})" | bc`
./a.out -ec "${H_A}"   | ./a.out -fc_CtimesF "$SCALE_A" cin > "${OBJECTIVE}"

# Here we multiply by |V(H)|+1, since the line below below mulitplies by |V(H)|!
SCALE=`echo "scale=10; -(${V_H}+1)" | bc`
./a.out -ec "${H}"  | ./a.out -fc_CtimesF "$SCALE" cin >> "${OBJECTIVE}"

# Here we add 100 to make sure the result is > 0
# this is techincal for flag algebras
echo "100 1 0" >>  "${OBJECTIVE}"


./a.out -n 4 -lb -obj "${OBJECTIVE}"


# Rounding
 sage round_K2.sage | tee "${OBJECTIVE}".rounding.log

